> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chkk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List resources for a specific Risk

> Returns a paginated list of resources that are associated with the specified Operational Risk.



## OpenAPI

````yaml get /risks/{riskId}/resources
openapi: 3.0.1
info:
  contact:
    name: Chkk
    url: https://www.chkk.io
  description: A REST API that exposes the Chkk data model.
  title: Chkk API
  version: v1.0
servers:
  - url: https://api.us.chkk.io/v1
security: []
tags:
  - description: Operations that authenticate users and return scoped access tokens.
    name: Login
  - description: >-
      Operations for retrieving Guardrails, Misconfigurations, and
      API-Deprecation Risks detected in your clusters.
    name: Risk
externalDocs:
  description: Detailed documentation of the Chkk data model and product features
  url: https://docs.chkk.io
paths:
  /risks/{riskId}/resources:
    parameters:
      - explode: false
        in: path
        name: riskId
        required: true
        schema:
          type: string
        style: simple
        description: >-
          Unique identifier of the Risk whose affected resources you want to
          list.
    get:
      tags:
        - Risk
      summary: List resources for a specific Risk
      description: >-
        Returns a paginated list of resources that are associated with the
        specified Operational Risk.
      operationId: risk-list-affected-resources
      parameters:
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/Continuation'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListRiskResourcesResponse'
          description: Returns an array of `RiskAffectedResource` objects.
      security:
        - bearer_token: []
components:
  parameters:
    PageSize:
      explode: true
      in: query
      name: page_size
      required: false
      schema:
        default: 100
        description: Number of resources to return per page
        maximum: 1000
        minimum: 1
        type: integer
      style: form
    Continuation:
      explode: true
      in: query
      name: continuation_token
      required: false
      schema:
        description: Opaque token for pagination
        type: string
      style: form
  schemas:
    ListRiskResourcesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/RiskAffectedResource'
          type: array
        continuation_token:
          description: Opaque token for pagination
          type: string
      required:
        - data
      type: object
    RiskAffectedResource:
      description: A resource impacted by an Operational Risk.
      oneOf:
        - $ref: '#/components/schemas/RiskAffectedK8sResource'
      properties:
        type:
          type: string
      required:
        - type
      type: object
    RiskAffectedK8sResource:
      description: A object affected by an Operational Risk.
      properties:
        type:
          enum:
            - k8s
          type: string
        kind:
          type: string
          description: API Kind (e.g., `Deployment`, `StatefulSet`).
        name:
          type: string
          description: Resource name.
        namespace:
          type: string
          description: namespace where the resource is located.
      required:
        - kind
        - name
        - type
      type: object
  securitySchemes:
    bearer_token:
      in: header
      name: Authorization
      type: apiKey
      description: Authorization credentials supplied in the Authorization header.

````